Get user events
curl --request POST \
--url https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"type": "userFunding",
"user": "0x1cd84cc81f7ec9e14362681d606d00a526e388eb"
}
'import requests
url = "https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events"
payload = {
"type": "userFunding",
"user": "0x1cd84cc81f7ec9e14362681d606d00a526e388eb"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'userFunding', user: '0x1cd84cc81f7ec9e14362681d606d00a526e388eb'})
};
fetch('https://api.allium.so/api/v1/developer/trading/hyperliquid/info/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"time": 123,
"hash": "<string>",
"delta": {
"type": "funding",
"coin": "<string>",
"usdc": "<string>",
"szi": "<string>",
"fundingRate": "<string>",
"nSamples": 123
}
}
]"<string>""<string>"Hyperliquid
User Non-Funding Ledger Updates
Endpoint providing non-funding ledger updates by user address
POST
/
api
/
v1
/
developer
/
trading
/
hyperliquid
/
info
/
events
Get user events
This endpoint provides non-funding ledger updates for Hyperliquid user addresses, such as deposits, withdrawals, transfers, liquidations, and other ledger events.
Drop-in ReplacementThis endpoint is a 1-1 replacement for the
userNonFundingLedgerUpdates endpoint in Hyperliquid.Show cURL Example
Show cURL Example
KEY' \
--data '{
"type": "userNonFundingLedgerUpdates",
"user": "0xfb67615bff54078322e758efbeb5db27fdf873d8"
}'
Show Response Example
Show Response Example
[
{
"time": 1765783154804,
"hash": "0xccc0b2a216c30ddf1415a50100e15f965142d9c86a66249e171e43f53d46f285",
"delta": {
"type": "deposit",
"usdc": "17.0"
}
},
{
"time": 1765782864157,
"hash": "0xdad0c3a43d5b929c756ae0cd2b253b8d26d744afa5ca71f7cac7efea39c565d7",
"delta": {
"type": "withdraw",
"usdc": "17.0",
"nonce": 1765782606864000,
"fee": "1.0"
}
},
{
"time": 1771619923327,
"hash": "0xe1915962351b995de30b0435af88530201720047d01eb82f855a04b4f41f7348",
"delta": {
"type": "send",
"user": "0x8e80c4b533dd977cf716b5c24fd9223129272804",
"destination": "0xad0d614bed719fed42cf5bfeccb75e47256da754",
"sourceDex": "",
"destinationDex": "",
"token": "USDC",
"amount": "10966.0",
"usdcValue": "10966.0",
"fee": "0.0",
"nativeTokenFee": "0.0",
"nonce": 1771619892789,
"feeToken": ""
}
},
{
"time": 1753769520340,
"hash": "0x88bb8650f9fbe02fc57a042873871f012f00f201fe77be1a38468362c806c620",
"delta": {
"type": "subAccountTransfer",
"usdc": "1100.0",
"user": "0x7839e2f2c375dd2935193f2736167514efff9916",
"destination": "0x5483dd0f8b7d2544a6ac14ba8659988178fd9f4a"
}
},
{
"time": 1753695433888,
"hash": "0xab0a3aa159bae50db8d30428652b28011900d7e971925acde050286ca0cb509d",
"delta": {
"type": "accountClassTransfer",
"usdc": "10000.0",
"toPerp": true
}
},
{
"time": 1753695223324,
"hash": "0xdc722dd809923add1f040428652060015500f702c2ce8ce7bdb7a637e6d23c09",
"delta": {
"type": "spotTransfer",
"token": "USDC",
"amount": "10000.0",
"usdcValue": "10000.0",
"user": "0x7839e2f2c375dd2935193f2736167514efff9916",
"destination": "0x5483dd0f8b7d2544a6ac14ba8659988178fd9f4a",
"fee": "0.0",
"nativeTokenFee": "0.0",
"nonce": null,
"feeToken": ""
}
}
]
Authorizations
Body
application/json
Was this page helpful?
⌘I